﻿using GlaxLogger;
using Microsoft.Extensions.Logging;
using Newtonsoft.Json;
using OBSBlur;
using OBSBlur.OBS;

string configFilePath = "config.json";

Logger logger = new (filteredLevel: LogLevel.Trace, consoleOut: Console.Out);
Config config = File.Exists(configFilePath) switch
{
    true => JsonConvert.DeserializeObject<Config>(File.ReadAllText(configFilePath)),
    _ => new Config()
};
File.WriteAllText(configFilePath, JsonConvert.SerializeObject(config, Formatting.Indented));
logger.LogInformation($"Config\n{config}");
Blur _ = new (config.ObsWebsocketUrl, config.ObsWebsocketPassword, config.EnabledScenes, config.BlurPrograms, config.BlurWindows, logger);

while (true)
    Thread.Sleep(100);